import { ComponentType, PureComponent } from 'react';
import { Animated, StyleProp, ViewStyle } from 'react-native';
import { LinearGradientPropsType } from './types';
export declare type BaseLinearGradientPropsType = {
    LinearGradient: ComponentType<LinearGradientPropsType>;
    style: Animated.AnimatedProps<StyleProp<ViewStyle>> | StyleProp<ViewStyle>;
    backgroundColor: string;
    highlightColor: string;
};
declare class BaseLinearGradient extends PureComponent<BaseLinearGradientPropsType> {
    private readonly start;
    private readonly end;
    render(): JSX.Element;
}
declare const _default: Animated.AnimatedComponent<typeof BaseLinearGradient>;
export default _default;
