import React from 'react';
import { GradientShimmerPropsType } from './GradientShimmer';
/**
 * Create your own GradientShimmer instance with default props
 */
declare function createGradientShimmer<FixedProps extends Partial<GradientShimmerPropsType>>(fixedProps: FixedProps): React.FunctionComponent<Partial<FixedProps> & Omit<GradientShimmerPropsType, keyof FixedProps>>;
export default createGradientShimmer;
