"use strict";
// MIT License
//
// Copyright (c) 2023 Douglas Nassif Roma Junior
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnimationProvider = exports.createGradientShimmer = exports.ShimmerLayout = exports.default = void 0;
var GradientShimmer_1 = require("./GradientShimmer");
Object.defineProperty(exports, "default", { enumerable: true, get: function () { return __importDefault(GradientShimmer_1).default; } });
var ShimmerLayout_1 = require("./ShimmerLayout");
Object.defineProperty(exports, "ShimmerLayout", { enumerable: true, get: function () { return __importDefault(ShimmerLayout_1).default; } });
var createGradientShimmer_1 = require("./createGradientShimmer");
Object.defineProperty(exports, "createGradientShimmer", { enumerable: true, get: function () { return __importDefault(createGradientShimmer_1).default; } });
var AnimationProvider_1 = require("./AnimationProvider");
Object.defineProperty(exports, "AnimationProvider", { enumerable: true, get: function () { return __importDefault(AnimationProvider_1).default; } });
//# sourceMappingURL=index.js.map