import React, { PropsWithChildren } from 'react';
import { Animated } from 'react-native';
declare type AnimationContextType = {
    registerAnimation: (animationId: string, animation?: Animated.CompositeAnimation) => void;
};
export declare const AnimationContext: React.Context<AnimationContextType | undefined>;
declare type AnimationProviderPropsType = PropsWithChildren<{
    animating?: boolean;
}>;
declare const AnimationProvider: ({ children, animating, }: AnimationProviderPropsType) => JSX.Element;
export default AnimationProvider;
